<!DOCTYPE html>
<html lang="en">

<head>
    <title>Search | GIF Lover</title>
    <meta charset="utf-8">
    <meta name="description"
        content="Search for your favorite GIFs on GIPHY and save them offline by clicking on the heart!">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- TODO: 7c - Declare a theme color in meta (use #f44336 or your favorite color) -->
    <!-- Icons -->
    <link rel="icon" type="image/png" href="/assets/images/icon-192x192.png">
    <link name="msapplication-TileImage" type="image/png" href="/assets/images/icon-144x144.png">
    <link rel="apple-touch-icon" href="/assets/images/icon-192x192.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/assets/images/icon-16x16.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/assets/images/icon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/assets/images/icon-96x96.png">
    <link rel="icon" type="image/png" sizes="128x128" href="/assets/images/icon-128x128.png">
    <link rel="icon" type="image/png" sizes="192x192" href="/assets/images/icon-192x192.png">
    <link rel="icon" type="image/png" sizes="256x256" href="/assets/images/icon-256x256.png">
    <link rel="icon" type="image/png" sizes="384x384" href="/assets/images/icon-384x384.png">
    <link rel="icon" type="image/png" sizes="512x512" href="/assets/images/icon-512x512.png">
    <link rel="apple-touch-icon" sizes="57x57" href="/assets/images/icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/assets/images/icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/assets/images/icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/assets/images/icon-76x76.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/assets/images/icon-120x120.png">
    <link rel="apple-touch-icon" sizes="128x128" href="/assets/images/icon-128x128.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/assets/images/icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/assets/images/icon-152x152.png">
    <link rel="apple-touch-icon" sizes="167x167" href="/assets/images/icon-167x167.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/assets/images/icon-180x180.png">
    <link rel="apple-touch-icon" sizes="192x192" href="/assets/images/icon-192x192.png">
    <link rel="apple-touch-icon" sizes="256x256" href="/assets/images/icon-256x256.png">
    <link rel="apple-touch-icon" sizes="384x384" href="/assets/images/icon-384x384.png">
    <link rel="apple-touch-icon" sizes="512x512" href="/assets/images/icon-512x512.png">
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 320px) and (device-height: 568px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-1136x640.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 320px) and (device-height: 568px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-640x1136.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 375px) and (device-height: 812px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2436x1125.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 375px) and (device-height: 812px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-1125x2436.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 896px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-1792x828.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 896px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-828x1792.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 375px) and (device-height: 667px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-1334x750.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 375px) and (device-height: 667px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-750x1334.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 736px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2208x1242.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 736px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-1242x2208.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 896px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-1242x2688.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 414px) and (device-height: 896px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-2688x1242.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 1024px) and (device-height: 1366px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2732x2048.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 1024px) and (device-height: 1366px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-2048x2732.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 834px) and (device-height: 1112px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2224x1668.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 834px) and (device-height: 1194px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2388x1668.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 834px) and (device-height: 1112px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-1668x2224.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 834px) and (device-height: 1194px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-1668x2388.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 768px) and (device-height: 1024px) and (-webkit-device-pixel-ratio: 2) and (orientation: landscape)"
        href="/assets/images/splash-2048x1536.png" />
    <link rel="apple-touch-startup-image"
        media="screen and (device-width: 768px) and (device-height: 1024px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"
        href="/assets/images/splash-1536x2048.png" />
    <!-- TODO: 8d - Use Manifest here by using a <link> -->
    <!-- Stylesheets -->
    <link rel="stylesheet" href="/assets/css/normalize.css">
    <link rel="stylesheet" href="/assets/css/fonts.css">
    <link rel="stylesheet" href="/assets/css/shell.css">
    <link rel="stylesheet" href="/assets/css/mobile.css" media="(max-width: 768px)">
    <link rel="stylesheet" href="/assets/css/desktop.css" media="(min-width: 768px)">
    <!-- Critical-rendering scripts -->
    <script src="/assets/js/lazysizes.min.js" async></script>
    <script src="/assets/js/fontawesome-pro-5.13.0.min.js" defer></script>
</head>

<body>
    <header>
        <div class="header-content">
            <h1>I <i class="fas fa-heart" aria-labelledby="Love"></i> GIFs</h1>
        </div>
    </header>
    <nav id="desktop-menu-bar">
        <ul>
            <li>
                <a class="trending-tabitem" href="/">
                    <i class="fas fa-fire"></i>
                    <span>Trending</span>
                </a>
            </li>
            <li class="active">
                <a class="search-tabitem" href="/search">
                    <i class="fas fa-search"></i>
                    <span>Search</span>
                </a>
            </li>
            <li>
                <a class="saved-tabitem" href="/saved">
                    <i class="fas fa-images"></i>
                    <span>My GIFs</span>
                </a>
            </li>
        </ul>
    </nav>
    <main>
        <section id="search-bar">
            <label for="query">Search awesome GIFs on GIPHY!</label>
            <div class="search-zone">
                <input id="query" name="query" type="text" placeholder="happy, the walking dead..." />
                <button class="button" id="search-button" aria-label="Search">
                    <i class="fas fa-search"></i>
                </button>
                <button class="button" id="cancel-button" style="display: none;" aria-label="Cancel search">
                    <i class="fas fa-times"></i>
                </button>
            </div>
        </section>
        <div id="loader" class="loader" style="display: none;">
            <i class="fas fa-circle-notch fa-spin"></i>
        </div>
        <section id="gifs"></section>
    </main>
    <nav id="mobile-tab-bar">
        <ul>
            <li>
                <a class="trending-tabitem" href="/">
                    <i class="fas fa-fire"></i>
                    <span>Trending</span>
                </a>
            </li>
            <li class="active">
                <a class="search-tabitem" href="/search">
                    <i class="fas fa-search"></i>
                    <span>Search</span>
                </a>
            </li>
            <li>
                <a class="saved-tabitem" href="/saved">
                    <i class="fas fa-images"></i>
                    <span>My GIFs</span>
                </a>
            </li>
        </ul>
    </nav>
    <!-- Deferred scripts -->
    <script src="/assets/js/dexie.min.js"></script>
    <script>
        // TODO: 4e - Declare a new local database using Dexie named 'ILoveGifs' (case-sensitive)
        window.db = null; // Replace null here by new database objedt

        // TODO: 4f - Declare a table named 'gifs' that stores the following columns: 'id', 'title', 'imageUrl', 'videoUrl'
    </script>
    <script src="/assets/js/search.js"></script>
    <script>
        // TODO: 3g - Check if navigator supports Service Workers
        if (true) { // Replace `true` by the proper condition
            // TODO: 3h - Register your service worker (located in /sw.js)
        } else {
            // TODO: 3i - If not, display a message in console
        }
    </script>
</body>

</html>